Dropfort Update
===============

Reports on project update and system status information to Dropfort.com

Installation/Drupal Configuration
----------------------------------

1. Enable the module
2. Go to admin/config/system/dropfort/update
3. Configure your settings
    - You will also find your site key and site token on this page.
4. Follow the "Guided Setup" steps to register your site against your Dropfort instance.

Usage
-----

This module is designed to be used in conjunction with an account on Dropfort.com or an equivalent instance of the Dropfort Drupal distribution. It reports back on the site status and available updates for your modules.

Security
--------

Communication between your site and Dropfort is both encrypted and verified. The module will not work without SSL/TLS connections between Dropfort and your Drupal site. As well, the identity of the connecting Dropfort site is verified using OpenSSL public key authentication. This guarantees that the data being sent and identity of the connecting Dropfort instance is secured from prying eyes.

Authentication between your site and the update feed on your Dropfort instance are done using a shared secret with a nonce  variable value (which we call your "site token", Dropfort site key to the project. See admin/config/system/dropfort/update for more details.

Authors
-------

- Mathew Winstone (minorOffense)
- David Pascoe-Deslauriers (spotzero)
- Francois Xavier Lemieux (ClassicCut)
